<?php

namespace App\ViewModels\CreditoCliente\CreditoClienteDetailsViewModel;

use App\Utils\Entity;

class CreditoClienteDetailsViewModel extends Entity {
	protected $id;
	protected $extornoId;
	protected $creditoId;
	protected $clienteId;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;
	protected $valor;
	protected $saldo;
	protected $usado;

	public function builder(): CreditoClienteDetailsViewModelBuilder {

		$creditoCliente_builder = new CreditoClienteDetailsViewModelBuilder();
		return $creditoCliente_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExtornoId() {

		return $this->extornoId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreditoId() {

		return $this->creditoId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getClienteId() {

		return $this->clienteId;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->dataAtualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->horaAtualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSaldo() {

		return $this->saldo;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUsado() {

		return $this->usado;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $extornoId
	 */
	public function setExtornoId($extornoId) {

		$this->extornoId = $extornoId;

	}

	/**
	 *
	 * @param mixed $creditoId
	 */
	public function setCreditoId($creditoId) {

		$this->creditoId = $creditoId;

	}

	/**
	 *
	 * @param mixed $clienteId
	 */
	public function setClienteId($clienteId) {

		$this->clienteId = $clienteId;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;

	}

	/**
	 *
	 * @param mixed $AtualizadoPor
	 */
	public function setAtualizadoPor($AtualizadoPor) {

		$this->AtualizadoPor = $AtualizadoPor;

	}

	/**
	 *
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;

	}

	/**
	 *
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;

	}
	
	/**
	 *
	 * @param mixed $saldo
	 */
	public function setUsado($usado) {
		
		$this->usado = $usado;
		
	}

}

